{% load staticfiles %}
<!DOCTYPE HTML>
<html>
    <head>
        <title>Hardlexander's Personal Website</title>
        <link href="{% static 'css/bootstrap.css' %}" rel='stylesheet' type='text/css' />
        <!-- Custom Theme files -->
        <link href="{% static 'css/style.css' %}" rel='stylesheet' type='text/css' />

        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="{% static 'js/jquery.min.js' %}"></script>
        <script src="{% static 'js/jquery-ui.js' %}"></script>
        <link href="{% static 'css/jquery-ui.css' %}" rel='stylesheet' type='text/css' />
         <!-- Custom Theme files -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <!-- webfonts -->
        <link href='//fonts.googleapis.com/css?family=Asap:400,700,400italic' rel='stylesheet' type='text/css'>
        <link href='//fonts.googleapis.com/css?family=Open+Sans:400,300,600' rel='stylesheet' type='text/css'>
        <!-- webfonts -->
        <!-- Datatable js and css -->
        <link href='//cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css' rel='stylesheet' type='text/css' />
        <script src='//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js'></script>

        <!-- Compiled and minified CSS -->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-beta/css/materialize.min.css">

        <!-- Compiled and minified JavaScript -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-beta/js/materialize.min.js"></script>
        

        

        <script>
            function add(id){
                $('#'+id).hide();
                sessionStorage.fav = Number(sessionStorage.fav)+1;
                $("#basket").html( "<p> &#9733;"+sessionStorage.fav+"<p>");
                
            }
        </script>

        <script>
            $(document).ready( function () {
                $('#table_id').DataTable();
            } );
        </script>

        <script>
            $(document).ready(function(){
                sessionStorage.setItem("fav", 0);
                $('#searchForm').on('submit', function(e){
                    e.preventDefault();
                    var query = $("#query").val();
                    
                    $.ajax({
                        url : "https://www.googleapis.com/books/v1/volumes/",
                        data : { "q" : query },
                        type : "get",
                        dataType : "json",
                        success : function(response) {
                            $.ajax({
                                url: '/index/books/',
                                type: 'POST',
                                data: {'books': response['items']},
                            })
                            
                        }
                    });
                });
            });
          
        </script>

    </head>
    <body>
        <!-- container -->
		<!-- header -->
		
            <div class="container">
                <!-- top-hedader -->
                <div class="top-header">
                    <h1>Books List</h1>
                    <div id="basket"></div>

                    {% if user.is_authenticated %}
                    <p>Logged in as {{ user.username }}</p>
                    <a href="{% url 'logout' %}" onclick="sessionStorage.removeItem('fav');" >Logout</a>
                    {% else %}
                    <div class="btn white darken-4 col s10 m4">
                        <a href="{% url 'social:begin' 'google-oauth2' %}" style="text-transform:none">
                            <div class="left">
                                <img width="20px" alt="Google &quot;G&quot; Logo" src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/53/Google_%22G%22_Logo.svg/512px-Google_%22G%22_Logo.svg.png"/>
                            </div>
                            Login with Google
                        </a>
                    </div>
                    {% endif %}
                    

                    <form action="/index/books/" method="POST">
                        {% csrf_token %}
                        <div class="input-field col s6">
                            <label for="label">Search other books</label>
                            <input type="text" id="query" name="query" class="required" />

                        </div>
                        
                        <input class="btn waves-effect waves-light" type="submit" name="action"></button>
                    </form>
                    
                </div>
                    <table id="table_id" class="table table-striped table-bordered">
                    
                        <thead>
                            <tr>
                                <th>Like</th>
                                <th>Title</th>
                                <th>Author</th>
                                <th>Publisher</th>
                                
                            </tr>
                        </thead>
                    
                        <tbody>
                            {% for b in books %}
                            <tr>
                                <td> <a onclick="add('{{ b.id }}')" id="{{ b.id }}"> &#9733; </a> </td>
                                <td>{{ b.volumeInfo.title }}</td>
                                <td>
                                    {% for a in b.volumeInfo.authors %}
                                    {{ a }} <br>
                                    {% endfor %}
                                </td>
                                <td> {{ b.volumeInfo.publisher }} </td>
                                
                            </tr>
                            {% endfor %}
                        </tbody>
                    
                    </table>
            </div>
    </body>
</html>